> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/allowlist/{ruleId}

## OpenAPI

````json GET /v2/allowlist/{ruleId}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/allowlist/{ruleId}": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "ruleId",
            "in": "path",
            "required": true,
            "description": "Alert id of the alert to retrieve allowlist/mutelist for",
            "schema": {
              "type": "string",
              "example": "example string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2AllowlistRuleIdGetResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2AllowlistRuleIdGetResponse": {
        "type": "object",
        "properties": {
          "records": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/alertserviceAllowAlertNotifcationListRecord"
            }
          }
        },
        "additionalProperties": false
      },
      "alertserviceAllowAlertNotifcationListRecord": {
        "type": "object",
        "properties": {
          "createTime": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "deviceInterface": {
            "type": "string",
            "example": "example string"
          },
          "deviceName": {
            "type": "string",
            "example": "example string"
          },
          "enterpriseName": {
            "type": "string",
            "example": "example string"
          },
          "entityId": {
            "type": "string",
            "example": "example string"
          },
          "isWanCircuit": {
            "type": "boolean",
            "example": true
          },
          "noteText": {
            "type": "string",
            "example": "example string"
          },
          "peerDeviceInterface": {
            "type": "string",
            "example": "example string"
          },
          "peerDeviceName": {
            "type": "string",
            "example": "example string"
          },
          "ruleId": {
            "type": "string",
            "example": "example string"
          },
          "ruleName": {
            "type": "string",
            "example": "example string"
          },
          "siteName": {
            "type": "string",
            "example": "example string"
          },
          "vrfId": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

